%define root	crack

%define major		2
%define libname		%mklibname %{root} %{major}
%define develname	%mklibname %{root} -d

Summary:	A password-checking library
Name:		cracklib
Version:	2.9.11
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv2
URL:		https://sourceforge.net/projects/cracklib/
Source0:	https://github.com/cracklib/cracklib/releases/download/v%{version}/cracklib-%{version}.tar.bz2
Source1:        https://github.com/cracklib/cracklib/releases/download/v%{version}/cracklib-words-%{version}.bz2

# No upstream source for this, just words missing from the current cracklib-words
Source10:	missing-words.gz

# A bit hackish way to make pkg to build with py3
Patch0:		cracklib-2.9.11-python3.patch

BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(zlib)

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop
users from choosing passwords which would be easy to guess. CrackLib
performs certain tests:

* It tries to generate words from a username and gecos entry and
  checks those words against the password;
* It checks for simplistic patterns in passwords;
* It checks for the password in a dictionary.

CrackLib is actually a library containing a particular
C function which is used to check the password, as well as
other C functions. CrackLib is not a replacement for a passwd
program; it must be used in conjunction with an existing passwd
program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you
install CrackLib, you'll also want to install the cracklib-dicts
package.

%package -n	%{libname}
Summary:	A password-checking library
Group:		System/Libraries

%description -n %{libname}
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics.

%package -n	python3-%{name}
Summary:	A password-checking library
Group:		System/Libraries
BuildRequires:	pkgconfig(python3)
Obsoletes:	%{_lib}crack2-python < 2.9.7-8
Provides:	%{_lib}crack2-python = %{version}-%{release}

%description -n python3-%{name}
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics.

%package	dicts
Summary:	The standard CrackLib dictionaries
Group:		System/Libraries

%description	dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/share/dict/words.  Cracklib-dicts also contains
the utilities necessary for the creation of new dictionaries.

If you are installing CrackLib, you should also install cracklib-dicts.

%package -n	%{develname}
Summary:	Cracklib link library & header file
Group:		Development/C
Provides:	lib%{root}-devel = %{version}-%{release}
Provides:	%{root}lib-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The cracklib devel package include the needed library link and
header files for development.

%prep
%autosetup -p1

cp -a %{SOURCE10} %{SOURCE1} dicts/

%build
autoreconf -vfi
%configure \
  --disable-static \
  --with-python-incdir=%{_includedir}/python%{python3_version}
%make_build

%install
%make_install

chmod 0755 ./util/cracklib-format ./util/cracklib-packer
./util/cracklib-format dicts/* | ./util/cracklib-packer %{buildroot}%{_datadir}/cracklib/pw_dict

ln -s cracklib-format %{buildroot}%{_sbindir}/mkdict
ln -s cracklib-packer %{buildroot}%{_sbindir}/packer

ln -s %{_datadir}/cracklib/pw_dict.hwm %{buildroot}%{_libdir}/cracklib_dict.hwm
ln -s %{_datadir}/cracklib/pw_dict.pwd %{buildroot}%{_libdir}/cracklib_dict.pwd
ln -s %{_datadir}/cracklib/pw_dict.pwi %{buildroot}%{_libdir}/cracklib_dict.pwi

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libcrack.so.%{major}{,.*}

%files -n python3-%{name}
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/cracklib*
%{python3_sitearch}/_cracklib*
%{python3_sitearch}/test_cracklib*

%files -f %{name}.lang
%doc AUTHORS NEWS README*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libcrack.so
%{_mandir}/man3/FascistCheck.3.*

%files dicts
%{_sbindir}/*
%{_datadir}/%{name}/
%{_libdir}/cracklib_dict.*
%{_mandir}/man8/cracklib*.8.*


%changelog
* Sat Mar 01 2025 papoteur <papoteur> 2.9.11-3.mga10
+ Revision: 2154492
- rebuild for python3.13

* Fri Apr 05 2024 wally <wally> 2.9.11-2.mga10
+ Revision: 2054593
- basesystem rebuild for i686

* Thu Dec 28 2023 daviddavid <daviddavid> 2.9.11-1.mga10
+ Revision: 2022743
- new version: 2.9.11

* Thu Dec 28 2023 daviddavid <daviddavid> 2.9.7-7.mga10
+ Revision: 2022739
- rebuild for py3.12
- move library from lib(64) to /usr/lib(64)/

* Fri Mar 18 2022 umeabot <umeabot> 2.9.7-6.mga9
+ Revision: 1799022
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 2.9.7-5.mga9
+ Revision: 1774308
- rebuild for python-3.10

* Wed Mar 24 2021 neoclust <neoclust> 2.9.7-4.mga9
+ Revision: 1709142
- Rebuild against python 3.9
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 2.9.7-3.mga8
+ Revision: 1546069
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 wally <wally> 2.9.7-2.mga8
+ Revision: 1485847
- switch to python3
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Mar 15 2019 shlomif <shlomif> 2.9.7-1.mga7
+ Revision: 1377656
- New version 2.9.7

* Sun Sep 23 2018 umeabot <umeabot> 2.9.6-6.mga7
+ Revision: 1296897
- Mageia 7 Mass Rebuild

* Mon Dec 12 2016 luigiwalser <luigiwalser> 2.9.6-5.mga6
+ Revision: 1074402
- rediff updated CVE-2016-6318 patch from fedora

* Tue Aug 23 2016 luigiwalser <luigiwalser> 2.9.6-4.mga6
+ Revision: 1048069
- add patch from opensuse to fix buffer overflow processing long words (bsc#992966)

* Tue Aug 16 2016 luigiwalser <luigiwalser> 2.9.6-3.mga6
+ Revision: 1046514
- add patch from redhat to fix CVE-2016-6318

* Thu Jan 07 2016 luigiwalser <luigiwalser> 2.9.6-2.mga6
+ Revision: 920363
- do not enable libtoolize

* Thu Jan 07 2016 luigiwalser <luigiwalser> 2.9.6-1.mga6
+ Revision: 920358
- 2.9.6
- update source URLs
- use current upstream sources
- add missing words from fedora (source10)

* Fri Aug 21 2015 tmb <tmb> 2.9.2-3.mga6
+ Revision: 867437
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.9.2-2.mga5
+ Revision: 747793
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 2.9.2-1.mga5
+ Revision: 738703
- 2.9.2

* Sat Sep 27 2014 tv <tv> 2.9.1-5.mga5
+ Revision: 726065
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 2.9.1-4.mga5
+ Revision: 693696
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.9.1-3.mga5
+ Revision: 678581
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.9.1-2.mga5
+ Revision: 628144
- Rebuild for new Python

* Wed Dec 11 2013 luigiwalser <luigiwalser> 2.9.1-1.mga4
+ Revision: 556390
- 2.9.1
- update patch1 (from fedora)

* Sat Oct 19 2013 umeabot <umeabot> 2.9.0-2.mga4
+ Revision: 528968
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 luigiwalser <luigiwalser> 2.9.0-1.mga4
+ Revision: 448442
- 2.9.0

* Fri Jan 11 2013 umeabot <umeabot> 2.8.22-3.mga3
+ Revision: 348293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 2.8.22-2.mga3
+ Revision: 336599
- fix build with new automake 1.13
- clean .spec a bit

* Tue Dec 25 2012 luigiwalser <luigiwalser> 2.8.22-1.mga3
+ Revision: 334782
- rediff patch0
- 2.8.22

* Sun Aug 05 2012 luigiwalser <luigiwalser> 2.8.19-1.mga3
+ Revision: 278897
- 2.8.19

* Thu Sep 08 2011 tv <tv> 2.8.18-1.mga2
+ Revision: 141523
- new release
- BR gettext-devel
- rediff P0
- patch 1, 2: add fixes from fedora

* Tue Jan 18 2011 pterjan <pterjan> 2.8.16-4.mga1
+ Revision: 21833
- Rebuild for python 2.7

* Sun Jan 09 2011 blino <blino> 2.8.16-3.mga1
+ Revision: 1623
- remove old ldconfig scriptlets
- imported package cracklib


* Sat Oct 30 2010 Shlomi Fish <shlomif@mandriva.org> 2.8.16-2mdv2011.0
+ Revision: 590592
- Bump to new release for python-2.7

* Wed Mar 03 2010 Frederik Himpe <fhimpe@mandriva.org> 2.8.16-1mdv2010.1
+ Revision: 514005
- update to new version 2.8.16

* Fri Nov 20 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.15-1mdv2010.1
+ Revision: 467688
- Update to new version 2.8.15
- Rediff Python path patch
- Fix libification by moving docs out of library package

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.8.13-4mdv2010.0
+ Revision: 413276
- rebuild

  + Arnaud Patard <apatard@mandriva.com>
    - Fix ftbfs with newer libtool by defining _enable_libtoolize

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.8.13-3mdv2009.1
+ Revision: 319812
- rebuild for new python

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.8.13-2mdv2009.1
+ Revision: 316518
- rebuild

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.13-1mdv2009.1
+ Revision: 297783
- patch: fix python modules installation path
- new version

* Thu Jun 19 2008 Adam Williamson <awilliamson@mandriva.org> 2.8.12-1mdv2009.0
+ Revision: 226736
- docs/LICENCE doesn't exist any more..
- new release 2.8.12
- move shared library to /lib (fix #40626, impossible to login without /usr)
- clean file lists
- drop bogus and/or useless devel provides in lib and python packages
- fix python package description
- version obsoletes
- new devel policy
- simplify and clean spec

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.8.10-6mdv2009.0
+ Revision: 220517
- rebuild
- fix spacing at top of description

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - fix library description (broken for 5 years)

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.8.10-5mdv2008.1
+ Revision: 149140
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild for optflags
    - make format and packer executable prior to running them in %%install (#31210)

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

* Sat Jun 02 2007 Adam Williamson <awilliamson@mandriva.org> 2.8.10-1mdv2008.0
+ Revision: 34743
- new release 2.8.10, remove pre-2007 workaround


* Thu Dec 14 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.8.9-2mdv2007.0
+ Revision: 96899
- BuildRequires: python-devel
- BuildRequires: python
- fix build
- Import cracklib

* Sat Jun 24 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.9-1mdv2007.0
- 2.8.9
- %%mkrel
- add cracklib-python package

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 2.8.3-3mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.8.3-2mdk
- Rebuild

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.8.3-1mdk
- 2.8.3, new url, drop upstream implemented patches
- sync some with fedora
- fix summary-ended-with-dot

* Thu May 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.7-18mdk
- add one missing header file
- misc spec file fixes

